[workspace]
members = [
    "sql-pe-ffi"
]

[package]
name = "sql-pe"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
thiserror = "1"

serde = { version = "1", features=["derive"] }
serde_json = "1"

rand = "0.7"
sha3 = "0.9"
digest = "0.9"
subtle = "2.4"
aead = "0.4"
curve25519-dalek = { version = "3", features=["serde"]}
chacha20poly1305 = "0.9"

argon2 = "0.4.1"
rand_core = { version = "0.6", features = ["std"] }
